> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-2-2-79502.md).

# Version 9.2.2.79502 Changelog (April 29th, 2022)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.2.2.79502
* Release Date: April 29th, 2022
* Built with Xcode 13.3 (13E113)

### iOS SDK Features

* Signatures annotations can now be created by typing.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-97e81ad0cb59c966e44a53262cd36cf93503035c%2F89c426c134a8de16a90ea03eb31cdaea210a6ced-1280x895.gif?alt=media)

* FreeText annotations now support alignment (horizontal: left, right, centered, justified; vertical: top, centered, bottom).

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-6e8aa04ce52c6388a1eb02b676d003ededc35742%2Fffbdeffe4eb67fbcdef955f983515fb93301c253-1920x1440.gif?alt=media)

* The zoom value of a PDF can now be set and get relative to its physical size when printed (`PTPDFViewCtrl` property [`zoomWhenPrinted`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(py\)zoomWhenPrinted)).
* Notes can now be viewed and edited on text annotations viewed in reader (reflow) mode.
* Improved font substitution on some files (correctly uses serif fonts in additional scenarios).

### New APIs

* When tapping to create a signature, you can now optionally show the signature list instead of using the currently selected annotation ([`PTSignatureAnnotationOptions.showSignatureListWhenTapped`](https://sdk.apryse.com/api/ios/Classes/PTSignatureAnnotationOptions.html#/c:objc\(cs\)PTSignatureAnnotationOptions\(py\)showSignatureListWhenTapped))
* Image stamps can now be given an opacity less than 1.0. via [`PTImageStampAnnotationOptions.opacityEnabled`](https://sdk.apryse.com/api/ios/Classes/PTImageStampAnnotationOptions.html#/c:objc\(cs\)PTImageStampAnnotationOptions\(py\)opacityEnabled).
* Text search can now have the order of its results programmatically specified via [`searchMode`](https://sdk.apryse.com/api/ios/Classes/PTTextSearchViewController.html#/c:objc\(cs\)PTTextSearchViewController\(py\)searchMode).
* Note annotation dialogs can now optionally have tinting disabled via [`PTNoteEditController.annotationTintColorEnabled`](https://sdk.apryse.com/api/ios/Classes/PTNoteEditController.html#/c:objc\(cs\)PTNoteEditController\(py\)annotationTintColorEnabled).
* The document slider's time before it disappears can be modified via [`PTDocumentSliderViewController.hidingInterval`](https://sdk.apryse.com/api/ios/Classes/PTDocumentSliderViewController.html#/c:objc\(cs\)PTDocumentSliderViewController\(py\)hidingInterval).
* The page number indicator can now be customized via `PTPageIndicatorViewController`'s [`label`](https://sdk.apryse.com/api/ios/Classes/PTPageIndicatorViewController.html#/c:objc\(cs\)PTPageIndicatorViewController\(py\)label) property.
* An arrow annotation's default head position can be customized via `PTArrowAnnotationOptions`'s [`arrowPointsToOrigin`](https://sdk.apryse.com/api/ios/Classes/PTArrowAnnotationOptions.html#/c:objc\(cs\)PTArrowAnnotationOptions\(py\)arrowPointsToOrigin) property.
* Adds an API to hide the annotation style button in the note-edit controller: [`PTNoteEditController.styleButtonHidden`](https://sdk.apryse.com/api/ios/Classes/PTNoteEditController.html#/c:objc\(cs\)PTNoteEditController\(py\)styleButtonHidden)
* The style button shown when viewing an annotation’s note is now accessible via the API [`PTNoteEditController.styleButtonItem`](https://sdk.apryse.com/api/ios/Classes/PTNoteEditController.html#/c:objc\(cs\)PTNoteEditController\(py\)styleButtonItem).
* A toolbar tool item colour can now be programatically set via [`setImageStyle`](https://sdk.apryse.com/api/ios/Classes/PTToolBarButtonItem.html#/c:objc\(cs\)PTToolBarButtonItem\(im\)setImageStyle:)

## Fixed

* Fixes an issue where image stamps could show grey instead of the image.
* Fix where FreeText annotations imported via XFDF could be missing their appearance.
* Fix where FreeText border width could be incorrect.
* Ensures pages can be scrolled from under the toolbar after adding pages to a 1-page document.
* Fixes a crash when editing callout annotations, and callout annotations again their associated text.
* Scanned pages use lower-resolution images (in line with Apple's Files app), substantially reducing the file size.
* Fixes text positioning issues when editing rotated FreeText annotations.
* Fix for annotations not appearing in the annotation list during some navigation actions.
* Improves performance for documents with very large outlines.
* Date and spaced text style properties are now stored separately from those of FreeText annotations.
* Fixes `PTPage.thumbnail(withMaximumSize:)`'s handling of page rotations & sizes.
* Fix that prevents the colour picker moving up and down when unwanted on some iPhone devices.
* Fixes an issue with positioning annotations on certain documents.
* Fixes a crash when editing rich FreeText annotations created by certain PDF creators.
* `PTAnnotStyleViewController` now uses the registered subclass in all instances.
* Fixes an issue where an annotation's review state (accepted, rejected, etc.) would not always update as expected.
* Fixes a memory leak when deallocating a `PTDocumentController`.
* Text color is now included in rich text content XML.
* Fixes an issue where an Apple Pencil would not be recognized in certain situations.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-2-2-79502.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
